package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrTaskAttachment;
import com.ruoyi.system.domain.visit.dr.VisitDrTaskAttachmentExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrTaskAttachmentMapper {
    long countByExample(VisitDrTaskAttachmentExample example);

    int deleteByExample(VisitDrTaskAttachmentExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrTaskAttachment record);

    int insertSelective(VisitDrTaskAttachment record);

    List<VisitDrTaskAttachment> selectByExample(VisitDrTaskAttachmentExample example);

    VisitDrTaskAttachment selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrTaskAttachment record, @Param("example") VisitDrTaskAttachmentExample example);

    int updateByExample(@Param("record") VisitDrTaskAttachment record, @Param("example") VisitDrTaskAttachmentExample example);

    int updateByPrimaryKeySelective(VisitDrTaskAttachment record);

    int updateByPrimaryKey(VisitDrTaskAttachment record);
}